package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrLaboratoryMapper;
import com.ruoyi.project.pssr.domain.TPssrLaboratory;
import com.ruoyi.project.pssr.service.ITPssrLaboratoryService;

/**
 * 实验室Service业务层处理
 *
 * @author ssy
 * @date 2024-10-30
 */
@Service
public class TPssrLaboratoryServiceImpl implements ITPssrLaboratoryService
{
    @Autowired
    private TPssrLaboratoryMapper tPssrLaboratoryMapper;

    /**
     * 查询实验室
     *
     * @param id 实验室ID
     * @return 实验室
     */
    @Override
    public TPssrLaboratory selectTPssrLaboratoryById(Long id)
    {
        return tPssrLaboratoryMapper.selectTPssrLaboratoryById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrLaboratoryMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询实验室列表
     *
     * @param tPssrLaboratory 实验室
     * @return 实验室
     */
    @Override
    public List<TPssrLaboratory> selectTPssrLaboratoryList(TPssrLaboratory tPssrLaboratory)
    {
        return tPssrLaboratoryMapper.selectTPssrLaboratoryList(tPssrLaboratory);
    }

    /**
     * 新增实验室
     *
     * @param tPssrLaboratory 实验室
     * @return 结果
     */
    @Override
    public int insertTPssrLaboratory(TPssrLaboratory tPssrLaboratory)
    {
        return tPssrLaboratoryMapper.insertTPssrLaboratory(tPssrLaboratory);
    }

    /**
     * 修改实验室
     *
     * @param tPssrLaboratory 实验室
     * @return 结果
     */
    @Override
    public int updateTPssrLaboratory(TPssrLaboratory tPssrLaboratory)
    {
        return tPssrLaboratoryMapper.updateTPssrLaboratory(tPssrLaboratory);
    }

    /**
     * 批量删除实验室
     *
     * @param ids 需要删除的实验室ID
     * @return 结果
     */
    @Override
    public int deleteTPssrLaboratoryByIds(Long[] ids)
    {
        return tPssrLaboratoryMapper.deleteTPssrLaboratoryByIds(ids);
    }

    /**
     * 删除实验室信息
     *
     * @param id 实验室ID
     * @return 结果
     */
    @Override
    public int deleteTPssrLaboratoryById(Long id)
    {
        return tPssrLaboratoryMapper.deleteTPssrLaboratoryById(id);
    }
}
